//+------------------------------------------------------------------+
//| ADX Crossing.mq4 
//| Amir
//+------------------------------------------------------------------+
#property  copyright "Author - Amir"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red

//---- input parameters
extern int timeframe=15;
extern int CountBars=5000;



double TEStopUPb4, TEStopDNb4, TEStopUP, TEStopDN;

//---- buffers
double val1[];
double val2[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   string short_name;
//---- indicator line
   IndicatorBuffers(2);
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,108);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,108);
   SetIndexBuffer(0,val1);
   SetIndexBuffer(1,val2);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| AltrTrend_Signal_v2_2                                            |
//+------------------------------------------------------------------+
int start()
  {   
   if (CountBars>=Bars) CountBars=Bars;
   SetIndexDrawBegin(0,Bars-CountBars);
   SetIndexDrawBegin(1,Bars-CountBars);
   int i,shift,counted_bars=IndicatorCounted();


   //---- check for possible errors
   if(counted_bars<0) return(-1);

   //---- initial zero
   if(counted_bars<1)
     {
      for(i=1;i<=CountBars;i++) val1[CountBars-i]=0.0;
      for(i=1;i<=CountBars;i++) val2[CountBars-i]=0.0;
     } 

for (shift = CountBars; shift>=0; shift--) 
{ 

 TEStopUPb4=iCustom(Symbol(),0,"#MTF_TrendEnvelopes",15,0,shift+2);
 TEStopDNb4=iCustom(Symbol(),0,"#MTF_TrendEnvelopes",15,1,shift+2);
 TEStopUP=  iCustom(Symbol(),0,"#MTF_TrendEnvelopes",15,0,shift+1);
 TEStopDN=  iCustom(Symbol(),0,"#MTF_TrendEnvelopes",15,1,shift+1);
Comment(TEStopUP,"   ", TEStopDN);

    if (TEStopUP < 20000  && TEStopUPb4 >20000) 
	 
{
	val1[shift]=Low[shift]-5*Point;
}
	  if (TEStopDN <20000 && TEStopDNb4 >20000) 
{
	val2[shift]=High[shift]+5*Point;
}


}
   return(0);
  }
//+------------------------------------------------------------------+